# How to contribute to Azure TRE
> To read about how to set up your development environment and contribute to Azure TRE components please visit [Local Development](/using-tre/local-development/local-development/).

## Did you find a bug?

* **Ensure the bug was not already reported** by searching on GitHub under [Issues](https://github.com/microsoft/AzureTRE/issues).
* If you're unable to find an open issue addressing the problem, [open a new one](https://github.com/microsoft/AzureTRE/issues/new?assignees=&labels=bug&template=bug_report.md&title=%5BBUG%5D). Be sure to include a **title and clear description**, as much relevant information as possible, and a **code sample** or an **executable test case** demonstrating the expected behavior that is not occurring.

## Did you write a patch that fixes a bug?

* Open a new GitHub pull request with the patch.
* Ensure the PR description clearly describes the problem and solution. Include the relevant issue number if applicable.
* Before submitting, please double check on the current coding conventions used.

## Do you intend to add a new feature or change an existing one?

* Open a [new feature issue](https://github.com/microsoft/AzureTRE/issues/new?assignees=&labels=feature&template=feature_request.md&title=) so we can first discuss the changes there. After the discussion you may send a PR with relevant changes. Do not send a PR without discussion on an issue.

## How to Contribute to our Documentation

* If you have any comments or suggestions about our documentation then you can visit our GitHub project and either raise a new issue, or comment on one of the existing ones.

* You can find our existing documentation issues on GitHub by clicking on the link below:

  * [Existing Documentation Issues](https://github.com/microsoft/AzureTRE/issues?q=is%3Aissue+is%3Aopen+label%3Adocumentation)

* Or, you can raise a new issue by clicking on this link:

  * [Report an Issue or Make a Suggestion](https://github.com/microsoft/AzureTRE/issues/new/choose)

Thanks! :heart: :heart: :heart:
